# Enum Class HttpHeaderParser.HeaderParseStatus

java.lang.Object
java.lang.Enum<HttpHeaderParser.HeaderParseStatus>
org.apache.tomcat.util.http.parser.HttpHeaderParser.HeaderParseStatus

All Implemented Interfaces:
  `Serializable, Comparable<HttpHeaderParser.HeaderParseStatus>, Constable`

Enclosing class:
  `HttpHeaderParser`

public static enum HttpHeaderParser.HeaderParseStatus extends Enum<HttpHeaderParser.HeaderParseStatus>
Possible return values from `HttpHeaderParser.parseHeader()`.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DONE`
All headers have been parsed and the end of the header block has been reached.
`HAVE_MORE_HEADERS`
A header has been parsed and there are more headers to parse.
`NEED_MORE_DATA`
Not enough data is available to complete parsing.

## Method Summary

Modifier and Type
Method
Description
`static HttpHeaderParser.HeaderParseStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpHeaderParser.HeaderParseStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DONE

public static final HttpHeaderParser.HeaderParseStatus DONE
All headers have been parsed and the end of the header block has been reached.

### HAVE_MORE_HEADERS

public static final HttpHeaderParser.HeaderParseStatus HAVE_MORE_HEADERS
A header has been parsed and there are more headers to parse.

### NEED_MORE_DATA

public static final HttpHeaderParser.HeaderParseStatus NEED_MORE_DATA
Not enough data is available to complete parsing. More data must be read before parsing can continue.

## Method Details

### values

public static HttpHeaderParser.HeaderParseStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HttpHeaderParser.HeaderParseStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null